Subject: bug#11913: Unusual Emacs 24.1 arithmetic error (abs) on i386 machine

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Jul 2012 22:15:34 +0300

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 13 Jul 2012 15:04:25 -0400
> 
> Eli Zaretskii wrote:
> 
> >> >   cal-hebrew.el:819:56:Error: Arithmetic error: "abs", 8.0
> [...]
> > Do we even understand how this error happens?  There's nothing even
> > close to a reference to 'abs' on that line of cal-hebrew.el in my copy
> > of Emacs 24.1.
> 
> Line 819 of cal-hebrew.el in Emacs 24 is diary-hebrew-birthday.
> This calls calendar-absolute-from-gregorian, which uses the `abs'
> function.

No, line 819 is this:

  (defun diary-hebrew-birthday (month day year &optional after-sunset)

This doesn't call anything.  So this is still mystery in my eyes.

Btw, column 56, assuming it is 1-based, is 'a' in after-sunset.  Huh??

> But why does (abs 8.0) return an arithmetic error at all...?

Hardware problem or some kernel issue are the only things that come to
mind.  Running under a debugger should bring more info.

And I still don't see how 'abs' could be called from that line and
that column.